import 'package:widgets/load_state_layout.dart';

class MyFollowState {
  //页面 LoadView 状态的展示
  LoadState loadingState;
  String? errorMessage;

  int? curPage;
  int? pageSize = 10;
  int? filterCount = 0;
  List<Map<String, dynamic>> list;

  MyFollowState({
    this.loadingState = LoadState.State_Loading,
    String? errorMessage,
    this.curPage = 1,
    this.pageSize = 10,
    this.filterCount = 0,
    required this.list,
  });

  MyFollowState copyWith({
    LoadState? loadingState,
    String? errorMessage,
    int? curPage,
    int? pageSize,
    int? filterCount,
    List<Map<String, dynamic>>? list,
  }) {
    return MyFollowState(
      loadingState: loadingState ?? this.loadingState,
      errorMessage: errorMessage ?? this.errorMessage,
      curPage: curPage ?? this.curPage,
      pageSize: pageSize ?? this.pageSize,
      filterCount: filterCount ?? this.filterCount,
      list: list ?? this.list,
    );
  }
}