import 'package:widgets/load_state_layout.dart';

class FormDetailState{

  //页面 LoadView 状态的展示
  LoadState loadingState;
  String? errorMessage;

  int status;  // 0是Pending , 1是Approve , 2是Not Approve

  // ===================================  Begin  ↓  ===================================

  FormDetailState({
    this.loadingState = LoadState.State_Loading,
    this.errorMessage,
    this.status = 0,
  });

  FormDetailState copyWith({
    LoadState? loadingState,
    String? errorMessage,
    int? status,
  }) {
    return FormDetailState(
      errorMessage: errorMessage ?? this.errorMessage,
      loadingState: loadingState ?? this.loadingState,
      status: status ?? this.status,
    );
  }

}