import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/property_news_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/property_news_entity.g.dart';

@JsonSerializable()
class PropertyNewsEntity {
	int? count;
	int? page;
	int? limit;
	@JSONField(name: "count_page")
	int? countPage;
	List<dynamic>? list;

	PropertyNewsEntity();

	factory PropertyNewsEntity.fromJson(Map<String, dynamic> json) => $PropertyNewsEntityFromJson(json);

	Map<String, dynamic> toJson() => $PropertyNewsEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}