import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/property_sale_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/property_sale_entity.g.dart';

@JsonSerializable()
class PropertySaleEntity {
	int? count;
	int? page;
	int? limit;
	@JSONField(name: "count_page")
	int? countPage;
	List<dynamic>? list;

	PropertySaleEntity();

	factory PropertySaleEntity.fromJson(Map<String, dynamic> json) => $PropertySaleEntityFromJson(json);

	Map<String, dynamic> toJson() => $PropertySaleEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}